Index: /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 6753)
+++ /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 6754)
@@ -28,5 +28,4 @@
 $UAM_Password_Test_Score = 0;
 $UAM_Exclusionlist_Error = false;
-
 
 // +-----------------------------------------------------------------------+
@@ -119,5 +118,5 @@
       $UAM_Exclusionlist_Error = true;
     }
-		
+
 		$newconf_UAM = array(
       $_POST['UAM_Mail_Info'],
@@ -154,5 +153,4 @@
 		pwg_query($query);
 
-
 /* Email confirmation settings */
     $_POST['UAM_ConfirmMail_ReMail_Txt1'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_ConfirmMail_ReMail_Txt1'])));
@@ -163,6 +161,5 @@
     
     $_POST['UAM_ConfirmMail_Custom_Txt2'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_ConfirmMail_Custom_Txt2'])));
-
-
+    
 	  $newconf_UAM_ConfirmMail = array (
       $_POST['UAM_ConfirmMail_TimeOut'],
@@ -310,4 +307,5 @@
 		'UAM_CONFIRM_MAIL_TRUE'          => $conf_UAM[1]=='true' ?  'checked="checked"' : '' ,
 		'UAM_CONFIRM_MAIL_FALSE'         => $conf_UAM[1]=='false' ?  'checked="checked"' : '' ,
+    'UAM_CONFIRM_MAIL_LOCAL'         => $conf_UAM[1]=='local' ?  'checked="checked"' : '' ,
 		'UAM_CONFIRMMAIL_TEXT'           => $conf_UAM[10],
 		'UAM_No_Confirm_Group'           => $conf_UAM[2],
@@ -626,6 +624,6 @@
   $conf_UAM_ConfirmMail = unserialize($conf['UserAdvManager_ConfirmMail']);
 	
-  if (isset($conf_UAM[1]) and $conf_UAM[1]=='true' and ((isset($conf_UAM[2]) and $conf_UAM[2] <> '-1') or (isset($conf_UAM[8]) and $conf_UAM[8] <> '-1')))
-  {
+  if (isset($conf_UAM[1]) and ($conf_UAM[1]=='true' or $conf_UAM[1]=='local') and ((isset($conf_UAM[2]) and $conf_UAM[2] <> '-1') or (isset($conf_UAM[8]) and $conf_UAM[8] <> '-1')))
+  {   
 // +-----------------------------------------------------------------------+
 // |                           initialization                              |
@@ -1112,5 +1110,5 @@
 
 			$expiration = expiration($local_user['id']);
-
+      
    		$template->append(
      		'users',
@@ -1135,8 +1133,23 @@
 				)
 			);
-		}
+		}   
+
+    // Check if validation of register is made by admin or visitor 
+    // If visitor, $Confirm_Local is used to mask useless buttons
+    $Confirm_Local = "";
+    
+    if ($conf_UAM[1] == 'local')
+    {
+      $Confirm_Local = $conf_UAM[1];
+    }
+    else
+    {
+      $Confirm_Local = "";
+    } 
+    
     /* Plugin version inserted */
     $template->assign(
       array(
+        'CONFIRM_LOCAL'=> $Confirm_Local,
         'UAM_VERSION'  => $version,
         'UAM_PATH'     => UAM_PATH,
Index: /extensions/NBC_UserAdvManager/trunk/admin/template/global.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/template/global.tpl	(revision 6753)
+++ /extensions/NBC_UserAdvManager/trunk/admin/template/global.tpl	(revision 6754)
@@ -215,5 +215,7 @@
               {'UAM_Confirm_Mail_false'|@translate}<br>
             <input type="radio" value="true" {$UAM_CONFIRM_MAIL_TRUE} name="UAM_Confirm_Mail">
-              {'UAM_Confirm_Mail_true'|@translate}
+              {'UAM_Confirm_Mail_true'|@translate}<br>
+            <input type="radio" value="local" {$UAM_CONFIRM_MAIL_LOCAL} name="UAM_Confirm_Mail">
+              {'UAM_Confirm_Mail_local'|@translate}
             <br><br>
         	</li>
Index: /extensions/NBC_UserAdvManager/trunk/admin/template/usermanager.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/template/usermanager.tpl	(revision 6753)
+++ /extensions/NBC_UserAdvManager/trunk/admin/template/usermanager.tpl	(revision 6754)
@@ -41,5 +41,7 @@
       			<th>&nbsp;{'Groups'|@translate}&nbsp;&nbsp;</th>
       			<th>&nbsp;{'Registration_Date'|@translate}&nbsp;&nbsp;</th>
+          {if $CONFIRM_LOCAL == ""}
             <th>&nbsp;{'Reminder'|@translate}&nbsp;&nbsp;</th>
+          {/if}
     			</tr>
   			</thead>
@@ -53,5 +55,7 @@
             <td>{$user.GROUPS}</td>
             <td {if $user.EXPIRATION == True}style="color:red;text-align:center;"{else}style="color:lime;text-align:center;"{/if}>{$user.REGISTRATION}</td>
+          {if $CONFIRM_LOCAL == ""}
             <td style="text-align:center;">{$user.REMINDER}</td>
+          {/if}
             {foreach from=$user.plugin_columns item=data}
               <td>{$data}</td>
@@ -87,8 +91,13 @@
 
 <p>
+{if $CONFIRM_LOCAL == "local"}
+  <input class="submit" type="submit" value="{'Delete_selected'|@translate}" name="Del_Selected">
+  <input class="submit" type="submit" value="{'Force_Validation'|@translate}" name="Force_Validation">
+{else}
   <input class="submit" type="submit" value="{'Delete_selected'|@translate}" name="Del_Selected">
   <input class="submit" type="submit" value="{'Mail_without_key'|@translate}" name="Mail_Without_Key">
   <input class="submit" type="submit" value="{'Mail_with_key'|@translate}" name="Mail_With_Key">
   <input class="submit" type="submit" value="{'Force_Validation'|@translate}" name="Force_Validation">
+{/if}
 </p>
   </fieldset>
Index: /extensions/NBC_UserAdvManager/trunk/changelog.txt.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 6753)
+++ /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 6754)
@@ -177,4 +177,9 @@
 
 -- 2.15.4 : Bug 1310 fixed - UAM tables are now sortable
+            Bug 1656 fixed - New register validation mode: Manual validation by admin
+            Bug 1687 fixed - Login case sensitivity is no more used in this plugin because already set in Piwigo's core
+            Bug 1693 
+            Bug 1789 fixed - Escaping double quotes in text fields
+            Bug 1790 fixed - Validation tracking tab is set when correct options are set
 */
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php	(revision 6753)
+++ /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php	(revision 6754)
@@ -978,5 +978,5 @@
 		else
 		{
-			return True;
+			return true;
 		}
 	}
Index: /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 6753)
+++ /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 6754)
@@ -46,8 +46,4 @@
 Um mehrere Sprachen zu benutzen, können Sie die Extended description Plugin-Tags verwenden, wenn er aktiv ist.<br><br>
 <b style=&quot;color: red;&quot;>Text &Auml;nderung ist nur verf&uuml;gbar, wenn die &quot;Informations-E-Mail&quot; aktiviert ist.</b>';
-$lang['UAM_confirmmailTitle'] = 'Die Bestätigung der Anmeldung';
-$lang['UAM_confirmmailTitle_d'] = 'Diese Option ermöglicht es einem Benutzer benötigen, um ihre Registrierung durch Klick auf einen Link zu validieren erhielt in eine E-Mail geschickt zum Zeitpunkt der Anmeldung.<br><br>
-Die E-Mail ist eine anpassbare Teil komponiert, um eine kleine Begr&uuml;&szlig;ung Einf&uuml;hrung und einem festen Teil mit den Aktivierungs-Link, die von einem zuf&auml;lligen Schl&uuml;ssel, die m&ouml;glicherweise durch die &quot;Tracking Validierungen regenerieren&quot; Registerkarte erzeugt wird.<br><br>
-Diese Option ist in der Regel mit der automatischen Zuordnung der Gruppe und / oder Satzung verwendet. Zum Beispiel, ein Benutzer, der nicht validiert ihre Eintragung in eine bestimmte Gruppe von Nutzern eingestellt werden (mit oder ohne Einschr&auml;nkungen auf der Galerie), w&auml;hrend ein Benutzer, der seine Registrierung best&auml;tigt wird in einem &quot;normalen&quot; Gruppe eingestellt werden.';
 $lang['UAM_confirmtxtTitle'] = 'Anpassen der E-Mail-Bestätigung';
 $lang['UAM_confirmtxtTitle_d'] = 'Geben Sie den einleitenden Text, den Sie in der E-Mail-Bestätigung der Anmeldung erscheinen.<br><br>
@@ -170,4 +166,14 @@
 <br><br>
 <b>Die Sortierung der Tabelle Function</b> : Sie können die Daten mit einem Klick auf die Spaltenüberschriften angezeigt. Halten Sie SHIFT-Taste, um Art bis zu 4 gleichzeitige maximale Spalten.';
+$lang['UAM_confirmmailTitle'] = 'Die Bestätigung der Anmeldung';
+/*TODO*/$lang['UAM_confirmmailTitle_d'] = 'This option allows a user to either confirm registration by clicking on a link received in an email sent upon registration or the administrator to manually activate the registration.<br><br>
+In first case, the e-mail is composed of a customizable part to introduce a little welcome note and a fixed part containing the activation link that is generated from a random key that can possibly regenerate through the &quot;Tracking validations&quot; tab.<br><br>
+Dans le premier cas, le message envoyé comprend une partie fixe, avec le lien d\'activation généré à partir d\'une clef aléatoire (cette clé peut éventuellement être régénérée via l\'onglet &quot;Suivi des validations&quot;), et une partie personnalisable par un texte d\'accueil.
+<br><br>
+In second case, <b><u>there is no validation key send by email!</u></b>. Visitors have to wait until an administrator validate them himself in &quot;Validation tracking&quot; tab. It\s recommanded to activate the Piwigo\'s option &quot;Email admins when a new user registers&quot; (see in Piwigo\'s configuration options) and to use the &quot;Information email to user&quot; to warn new registers to wait on their account activation.
+<br>
+<b style=&quot;color: red;&quot;>NB: Options &quot;Deadline for registration validation limited&quot; and &quot;Remind unvalidated users  &quot; have to be set to off when admin\'s manual validation is enabled.</b>
+<br><br>
+Diese Option ist in der Regel mit der automatischen Zuordnung der Gruppe und / oder Satzung verwendet. Zum Beispiel, ein Benutzer, der nicht validiert ihre Eintragung in eine bestimmte Gruppe von Nutzern eingestellt werden (mit oder ohne Einschr&auml;nkungen auf der Galerie), w&auml;hrend ein Benutzer, der seine Registrierung best&auml;tigt wird in einem &quot;normalen&quot; Gruppe eingestellt werden.';
 // --------- End: New or revised $lang ---- from version 2.15.4
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 6753)
+++ /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 6754)
@@ -57,5 +57,4 @@
 $lang['Mail_without_key'] = 'Erinnerung ohne Schlüssel';
 $lang['Mail_with_key'] = 'Erinnerung mit Schlüssel';
-$lang['Force_Validation'] = 'gezwungen Validierung';
 
 
@@ -144,5 +143,4 @@
 $lang['UAM_MailInfo_Text'] = ' Anpassen der Informationen per E-Mail:';
 $lang['UAM_Confirm_Mail'] = 'Bestätigung der Anmeldung:';
-$lang['UAM_Confirm_Mail_true'] = ' Aktivieren';
 $lang['UAM_Confirm_Mail_false'] = ' Deaktivieren (Standard)';
 $lang['UAM_ConfirmMail_Text'] = ' Anpassen der E-Mail-Bestätigung';
@@ -265,3 +263,10 @@
 Ebenfalls erhältlich, das Projekt Bugtracker: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 // --------- End: New or revised $lang ---- from version 2.15.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.4
+/*TODO*/$lang['Force_Validation'] = 'Manual validation';
+/*TODO*/$lang['UAM_Confirm_Mail_true'] = ' Enable - Validation by user';
+/*TODO*/$lang['UAM_Confirm_Mail_local'] = ' Enable - Validation by admin (no validation key sent)';
+// --------- End: New or revised $lang ---- from version 2.15.4
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 6753)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 6754)
@@ -46,8 +46,4 @@
 To use multiple languages, you can use the Extended description plugin\'s tags if it is active.<br><br>
 <b style=&quot;color: red;&quot;>Text modifying is available only if the &quot;Information email&quot; is enabled.</b>';
-$lang['UAM_confirmmailTitle'] = 'Confirmation of registration';
-$lang['UAM_confirmmailTitle_d'] = 'This option allows to require a user to validate their registration by clicking on a link received in an email sent at the time of registration.<br><br>
-The e-mail is composed of a customizable part to introduce a little welcome note and a fixed part containing the activation link that is generated from a random key that can possibly regenerate through the &quot;Tracking validations&quot; tab.<br><br>
-This option is generally used with the automatic assignment of group and/or statutes. For example, a user who has not validated their registration will be set in a specific group of users (with or without restrictions on the gallery) while a user who validated his registration shall be set in a &quot;normal&quot; group.';
 $lang['UAM_confirmtxtTitle'] = 'Customizing the confirmation email';
 $lang['UAM_confirmtxtTitle_d'] = 'Enter the introductory text that you want to appear in the email confirmation of registration.<br><br>
@@ -169,4 +165,14 @@
 <br><br>
 <b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
+$lang['UAM_confirmmailTitle'] = 'Confirmation of registration';
+$lang['UAM_confirmmailTitle_d'] = 'This option allows a user to either confirm registration by clicking on a link received in an email sent upon registration or the administrator to manually activate the registration.<br><br>
+In first case, the e-mail is composed of a customizable part to introduce a little welcome note and a fixed part containing the activation link that is generated from a random key that can possibly regenerate through the &quot;Tracking validations&quot; tab.<br><br>
+Dans le premier cas, le message envoyé comprend une partie fixe, avec le lien d\'activation généré à partir d\'une clef aléatoire (cette clé peut éventuellement être régénérée via l\'onglet &quot;Suivi des validations&quot;), et une partie personnalisable par un texte d\'accueil.
+<br><br>
+In second case, <b><u>there is no validation key send by email!</u></b>. Visitors have to wait until an administrator validate them himself in &quot;Validation tracking&quot; tab. It\s recommanded to activate the Piwigo\'s option &quot;Email admins when a new user registers&quot; (see in Piwigo\'s configuration options) and to use the &quot;Information email to user&quot; to warn new registers to wait on their account activation.
+<br>
+<b style=&quot;color: red;&quot;>NB: Options &quot;Deadline for registration validation limited&quot; and &quot;Remind unvalidated users  &quot; have to be set to off when admin\'s manual validation is enabled.</b>
+<br><br>
+This option is generally used with the automatic assignment of group and/or statutes. For example, a user who has not validated their registration will be set in a specific group of users (with or without restrictions on the gallery) while a user who validated his registration shall be set in a &quot;normal&quot; group.';
 // --------- End: New or revised $lang ---- from version 2.15.4
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 6753)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 6754)
@@ -56,5 +56,4 @@
 $lang['Mail_without_key'] = 'Reminder without key';
 $lang['Mail_with_key'] = 'Reminder with key';
-$lang['Force_Validation'] = 'Forced validation';
 
 
@@ -141,5 +140,4 @@
 $lang['UAM_MailInfo_Text'] = ' Customizing the information email:';
 $lang['UAM_Confirm_Mail'] = 'Confirmation of registration:';
-$lang['UAM_Confirm_Mail_true'] = ' Enable';
 $lang['UAM_Confirm_Mail_false'] = ' Disable (default)';
 $lang['UAM_ConfirmMail_Text'] = ' Customizing the confirmation email:';
@@ -262,3 +260,10 @@
 Also available, the project\'s bugtracker: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 // --------- End: New or revised $lang ---- from version 2.15.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.4
+$lang['Force_Validation'] = 'Manual validation';
+$lang['UAM_Confirm_Mail_true'] = ' Enable - Validation by user';
+$lang['UAM_Confirm_Mail_local'] = ' Enable - Validation by admin (no validation key sent)';
+// --------- End: New or revised $lang ---- from version 2.15.4
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 6753)
+++ /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 6754)
@@ -46,8 +46,4 @@
 Para utilizar varios idiomas, puede utilizar las etiquetas para el plugin Extended description si está activo.<br><br>
 <b style=&quot;color: red;&quot;>Texto de la modificaci&oacute;n s&oacute;lo est&aacute; disponible si est&aacute; activado el &quot;correo electr&oacute;nico de la informaci&oacute;n&quot;.</b>';
-$lang['UAM_confirmmailTitle'] = 'Confirmación de registro';
-$lang['UAM_confirmmailTitle_d'] = 'Esta opción permite exigir a un usuario validar su registro haciendo clic en un enlace recibido en un correo electrónico enviado en el momento de la inscripción.<br><br>
-El correo electr&oacute;nico se compone de una parte personalizable para introducir una nota de bienvenida y una parte fija que contiene el enlace de activaci&oacute;n que se genera a partir de una clave aleatoria que posiblemente puede regenerar a trav&eacute;s de &quot;Seguimiento de las Validaciones&quot;<br><br>
-Esta opci&oacute;n se utiliza generalmente con la asignaci&oacute;n autom&aacute;tica de grupo y / o estatutos. Por ejemplo, un usuario que no ha validado su registro se encuentra en un grupo espec&iacute;fico de usuarios (con o sin restricciones a la galer&iacute;a) mientras que un usuario que haya validado su registro se encuentra en un &quot;normal&quot; del grupo.';
 $lang['UAM_confirmtxtTitle'] = 'Personalización del mensaje recordatorio';
 $lang['UAM_confirmtxtTitle_d'] = 'Introduzca el texto de introducción que desea que aparezca en el correo electrónico de confirmación de registro.<br><br>
@@ -170,4 +166,14 @@
 <br><br>
 <b>Funciones Clasificación de la tabla</b>: Puede ordenar los datos mostrados, haga clic en los encabezados de columna. Sostenga la tecla SHIFT para ordenar hasta 4 columnas máxima simultánea.';
+$lang['UAM_confirmmailTitle'] = 'Confirmación de registro';
+/*TODO*/$lang['UAM_confirmmailTitle_d'] = 'This option allows a user to either confirm registration by clicking on a link received in an email sent upon registration or the administrator to manually activate the registration.<br><br>
+In first case, the e-mail is composed of a customizable part to introduce a little welcome note and a fixed part containing the activation link that is generated from a random key that can possibly regenerate through the &quot;Tracking validations&quot; tab.<br><br>
+Dans le premier cas, le message envoyé comprend une partie fixe, avec le lien d\'activation généré à partir d\'une clef aléatoire (cette clé peut éventuellement être régénérée via l\'onglet &quot;Suivi des validations&quot;), et une partie personnalisable par un texte d\'accueil.
+<br><br>
+In second case, <b><u>there is no validation key send by email!</u></b>. Visitors have to wait until an administrator validate them himself in &quot;Validation tracking&quot; tab. It\s recommanded to activate the Piwigo\'s option &quot;Email admins when a new user registers&quot; (see in Piwigo\'s configuration options) and to use the &quot;Information email to user&quot; to warn new registers to wait on their account activation.
+<br>
+<b style=&quot;color: red;&quot;>NB: Options &quot;Deadline for registration validation limited&quot; and &quot;Remind unvalidated users  &quot; have to be set to off when admin\'s manual validation is enabled.</b>
+<br><br>
+Esta opci&oacute;n se utiliza generalmente con la asignaci&oacute;n autom&aacute;tica de grupo y / o estatutos. Por ejemplo, un usuario que no ha validado su registro se encuentra en un grupo espec&iacute;fico de usuarios (con o sin restricciones a la galer&iacute;a) mientras que un usuario que haya validado su registro se encuentra en un &quot;normal&quot; del grupo.';
 // --------- End: New or revised $lang ---- from version 2.15.4
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 6753)
+++ /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 6754)
@@ -57,5 +57,4 @@
 $lang['Mail_without_key'] = 'Aviso sin clave';
 $lang['Mail_with_key'] = 'Aviso con clave';
-$lang['Force_Validation'] = 'Validación forzada';
 
 
@@ -142,5 +141,4 @@
 $lang['UAM_MailInfo_Text'] = ' Personalización del correo electrónico de información:';
 $lang['UAM_Confirm_Mail'] = 'Confirmación de registro:';
-$lang['UAM_Confirm_Mail_true'] = ' Activar';
 $lang['UAM_Confirm_Mail_false'] = ' Desactivar (por defecto)';
 $lang['UAM_ConfirmMail_Text'] = ' Personalización del correo electrónico de confirmación:';
@@ -264,3 +262,10 @@
 También está disponible, el bugtracker del proyecto: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 // --------- End: New or revised $lang ---- from version 2.15.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.4
+/*TODO*/$lang['Force_Validation'] = 'Manual validation';
+/*TODO*/$lang['UAM_Confirm_Mail_true'] = ' Enable - Validation by user';
+/*TODO*/$lang['UAM_Confirm_Mail_local'] = ' Enable - Validation by admin (no validation key sent)';
+// --------- End: New or revised $lang ---- from version 2.15.4
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 6753)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 6754)
@@ -45,9 +45,4 @@
 Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.<br><br>
 <b style=&quot;color: red;&quot;>La modification du texte n\'est possible QUE si l\'option &quot;Email d\'information&quot; est activée.</b>';
-$lang['UAM_confirmmailTitle'] = 'Confirmation d\'inscription';
-$lang['UAM_confirmmailTitle_d'] = 'Cette option permet d\'obliger un utilisateur à valider son inscription en cliquant sur un lien reçu dans un email envoyé dès son enregistrement sur la galerie.<br><br>
-Le message envoyé comprend une partie fixe, avec le lien d\'activation généré à partir d\'une clef aléatoire (cette clé peut éventuellement être régénérée via l\'onglet &quot;Suivi des validations&quot;), et une partie personnalisable par un texte d\'accueil.
-<br><br>
-Cette option est généralement utilisée avec  l\'attribution automatique de groupe et/ou de statuts. Selon qu\'il a validé ou non son inscription, il est en effet possible d\'affecter à l\'utilisateur un groupe différent, avec plus ou moins de restrictions d\'accès à la galerie.';
 $lang['UAM_confirmtxtTitle'] = 'Personnalisation de l\'email de confirmation';
 $lang['UAM_confirmtxtTitle_d'] = 'Saisissez ici le texte d\'introduction qui apparaîtra dans l\'email de confirmation d\'inscription.<br><br>
@@ -167,4 +162,13 @@
 <br><br>
 <b>Fonction de tri du tableau</b>: Vous pouvez trier les données affichées en cliquant sur les entêtes de colonnes. L\'utilisation de la touche MAJ ou SHIFT permet de trier sur 1 à 4 colonnes simultanées maximum.';
+$lang['UAM_confirmmailTitle'] = 'Confirmation d\'inscription';
+$lang['UAM_confirmmailTitle_d'] = 'Cette option permet soit à un utilisateur de valider son inscription en cliquant sur un lien reçu dans un email envoyé dès son enregistrement sur la galerie soit à l\'administrateur d\'activer manuellement les inscriptions.<br><br>
+Dans le premier cas, le message envoyé comprend une partie fixe, avec le lien d\'activation généré à partir d\'une clef aléatoire (cette clé peut éventuellement être régénérée via l\'onglet &quot;Suivi des validations&quot;), et une partie personnalisable par un texte d\'accueil.
+<br><br>
+Dans le second cas, <b><u>il n\'y a pas d\'envoi de clé de validation par email</u></b>. Les visiteurs doivent patienter que l\'administrateur valide lui même leur inscription via l\'onglet &quot;Suivi des validations&quot;. Il est conseillé d\'activer la notification des administrateurs lors des inscriptions (voir la configuration des options de Piwigo) et d\'utiliser la fonction &quot;Email d\'information à l\'utilisateur&quot; pour avertir les nouveaux inscrits de la nécessité de patienter avant activation de leur compte.
+<br>
+<b style=&quot;color: red;&quot;>NB: Les options &quot;Limitation du délai de validation d\'inscription&quot; et &quot;Mail de rappel aux inscrits non validés&quot; doivent être désactivées lorsque la validation manuelle est active.</b>
+<br><br>
+Cette option est généralement utilisée avec  l\'attribution automatique de groupe et/ou de statut. Selon qu\'il a validé ou non son inscription, il est en effet possible d\'affecter à l\'utilisateur un groupe différent, avec plus ou moins de restrictions d\'accès à la galerie.';
 // --------- End: New or revised $lang ---- from version 2.15.4
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 6753)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 6754)
@@ -56,5 +56,4 @@
 $lang['Mail_without_key'] = 'Rappel sans clé';
 $lang['Mail_with_key'] = 'Rappel avec clé';
-$lang['Force_Validation'] = 'Validation forcée';
 
 
@@ -142,5 +141,4 @@
 $lang['UAM_MailInfo_Text'] = ' Texte d\'accueil personnalisé:';
 $lang['UAM_Confirm_Mail'] = 'Confirmation d\'inscription:';
-$lang['UAM_Confirm_Mail_true'] = ' Activer';
 $lang['UAM_Confirm_Mail_false'] = ' Désactiver (valeur par défaut)';
 $lang['UAM_ConfirmMail_Text'] = ' Texte d\'accueil personnalisé:';
@@ -261,3 +259,10 @@
 Egalement disponible, le bugtracker du projet: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 // --------- End: New or revised $lang ---- from version 2.15.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.4
+$lang['Force_Validation'] = 'Validation manuelle';
+$lang['UAM_Confirm_Mail_true'] = ' Activer - Validation par le visiteur';
+$lang['UAM_Confirm_Mail_local'] = ' Activer - Validation par l\'administrateur (pas d\'envoi de clé de validation)';
+// --------- End: New or revised $lang ---- from version 2.15.4
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 6753)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 6754)
@@ -46,8 +46,4 @@
 Per utilizzare più lingue, è possibile utilizzare i tag del plugin Extended Description, se esso è attivo.<br><br>
 <b style=&quot;color: red;&quot;>Modifica del testo &egrave; disponibile solo se &quot;E-mail informazioni per l\'utente&quot; &egrave; attivata.</b>';
-$lang['UAM_confirmmailTitle'] = 'Conferma della registrazione';
-$lang['UAM_confirmmailTitle_d'] = 'Questa opzione permette di richiedere all\'utente di convalidare la registrazione cliccando su un link ricevuto in una email inviata al momento della registrazione.<br><br>
-L\'e-mail &egrave; composto da una parte personalizzabile di introdurre una piccola nota di benvenuto e una parte fissa contenente il link di attivazione che viene generato da una chiave casuale che pu&ograve; eventualmente rigenerare attraverso la &quot;Tracciamento convalide&quot; tab.<br><br>
-Questa opzione &egrave; generalmente utilizzato con l\'assegnazione automatica di gruppo e / o statuto. Ad esempio, un utente che non ha convalidato la loro registrazione sar&agrave; ambientato in un gruppo specifico di utenti (con o senza le restrizioni alla galleria), mentre un utente che ha convalidato la sua registrazione &egrave; fissato in un &quot;normale&quot; del gruppo.';
 /* TODO */$lang['UAM_confirmtxtTitle'] = 'Customizing the confirmation email';
 /* TODO */$lang['UAM_confirmtxtTitle_d'] = 'Enter the introductory text that you want to appear in the email confirmation of registration.<br><br>
@@ -170,4 +166,10 @@
 <br><br>
 <b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
+$lang['UAM_confirmmailTitle'] = 'Conferma della registrazione';
+/*TODO*/$lang['UAM_confirmmailTitle_d'] = 'This option allows a user to either confirm registration by clicking on a link received in an email sent upon registration or the administrator to manually activate the registration.<br><br>
+In first case, the e-mail is composed of a customizable part to introduce a little welcome note and a fixed part containing the activation link that is generated from a random key that can possibly regenerate through the &quot;Tracking validations&quot; tab.<br><br>
+Dans le premier cas, le message envoyé comprend une partie fixe, avec le lien d\'activation généré à partir d\'une clef aléatoire (cette clé peut éventuellement être régénérée via l\'onglet &quot;Suivi des validations&quot;), et une partie personnalisable par un texte d\'accueil.
+<br><br>
+Questa opzione &egrave; generalmente utilizzato con l\'assegnazione automatica di gruppo e / o statuto. Ad esempio, un utente che non ha convalidato la loro registrazione sar&agrave; ambientato in un gruppo specifico di utenti (con o senza le restrizioni alla galleria), mentre un utente che ha convalidato la sua registrazione &egrave; fissato in un &quot;normale&quot; del gruppo.';
 // --------- End: New or revised $lang ---- from version 2.15.4
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 6753)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 6754)
@@ -57,5 +57,4 @@
 $lang['Mail_without_key'] = 'Email di rilancio senza chiave';
 $lang['Mail_with_key'] = 'Email di rilancio con chiave';
-$lang['Force_Validation'] = 'Convalida forzata';
 
 
@@ -142,5 +141,4 @@
 $lang['UAM_MailInfo_Text'] = ' Personalizzare il testo dell\'Email:';
 $lang['UAM_Confirm_Mail'] = 'Conferma dell\'iscrizione:';
-$lang['UAM_Confirm_Mail_true'] = ' Attivare';
 $lang['UAM_Confirm_Mail_false'] = ' Disattivare (di default)';
 $lang['UAM_ConfirmMail_Text'] = ' Personalizzare il testo dell\'Email di conferma:';
@@ -264,3 +262,10 @@
 Disponibile anche, il bugtracker del progetto: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 // --------- End: New or revised $lang ---- from version 2.15.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.4
+/*TODO*/$lang['Force_Validation'] = 'Manual validation';
+/*TODO*/$lang['UAM_Confirm_Mail_true'] = ' Enable - Validation by user';
+/*TODO*/$lang['UAM_Confirm_Mail_local'] = ' Enable - Validation by admin (no validation key sent)';
+// --------- End: New or revised $lang ---- from version 2.15.4
 ?>