Index: /extensions/piwishack/include/class.inc.php
===================================================================
--- /extensions/piwishack/include/class.inc.php	(revision 6770)
+++ /extensions/piwishack/include/class.inc.php	(revision 6771)
@@ -277,4 +277,82 @@
 		  str_replace('./', '', get_image_url($row)).'\" /></a>';
 		$S .= '\n\n';
+      }
+
+      unset_make_full_url();
+    }
+
+    return $S;
+  }
+  
+  function get_view_post_on_a_forum()
+  {
+    global $page, $lang_info;
+
+    $list = array();
+  
+    $S = '';
+
+    switch (script_basename())
+    {
+      case 'index':
+      {
+        global $pictures;
+
+        if (isset($pictures))
+        {
+          $list = $pictures;
+        }
+        break;
+      }
+      case 'picture':
+      {
+        global $picture;
+
+        if (isset($picture['current']))
+        {
+          $list[] = $picture['current'];
+        }
+        break;
+      }
+    }
+
+    if (empty($list) and !empty($page['items']))
+    {
+      $query = '
+	  SELECT *
+      FROM '.IMAGES_TABLE.'
+      WHERE id IN ('.implode(',', $page['items']).')
+	  ;';
+
+      $result = pwg_query($query);
+
+      while ($row = mysql_fetch_assoc($result))
+      {
+        $row['rank'] = $page['rank_of'][ $row['id'] ];
+        array_push($list, $row);
+      }
+
+      usort($list, 'rank_compare');
+  }
+      if (!empty($list))
+    {
+	  include_once(PHPWG_ROOT_PATH.'/include/functions_picture.inc.php');
+      set_make_full_url();
+
+      foreach ($list as $row)
+      {
+	   /*
+	   Affichage de la vue normale sur des forums.
+	   EXEMPLE
+	   [url={$ROOT_WAY}{$current.U_IMG}][img]{$ROOT_WAY}{$SRC_IMG|@replace:'./':''}[/img][/url]
+	   */
+	    $S .= '[url='.
+          duplicate_picture_url(
+            array(
+              'image_id' => $row['id'],
+              'image_file' => $row['file'],
+              )).'][img]'.
+		  str_replace('/./', '/', get_image_url($row)).'[/img][/url]';
+	    $S .= '\n\n';
       }
 
@@ -571,5 +649,5 @@
       $js = '
   <script type="text/javascript">
-    var theController = window.open("", "'.$this->plugin_name.'_controller", "alwaysRaised=yes,dependent=yes,toolbar=no,height=843,width=1220,menubar=no,resizable=yes,scrollbars=yes,status=no");';
+    var theController = window.open("", "'.$this->plugin_name.'_controller", "alwaysRaised=yes,dependent=yes,toolbar=no,height=807,width=1220,menubar=no,resizable=yes,scrollbars=yes,status=no");';
 
     if ($this->to_close)
@@ -592,4 +670,5 @@
     theController.document.getElementsByName("thumb_Post_on_a_forum")[0].value = "'.$this->get_thumb_post_on_a_forum().'";
 	theController.document.getElementsByName("view_Post_on_a_website")[0].value = "'.$this->get_view_post_on_a_website().'";
+	theController.document.getElementsByName("view_Post_on_a_forum")[0].value = "'.$this->get_view_post_on_a_forum().'";
 	theController.document.getElementsByName("view_Direct_link")[0].value = "'.$this->get_view_direct_link().'";
     theController.document.getElementsByName("p_Perso_writer_01")[0].value = "'.$this->get_p_perso_writer_01().'";
Index: /extensions/piwishack/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/fr_FR/plugin.lang.php	(revision 6770)
+++ /extensions/piwishack/language/fr_FR/plugin.lang.php	(revision 6771)
@@ -25,5 +25,5 @@
 $lang['Post_on_a_website_d'] 		= 'Partager la miniature (cliquable) sur des sites. Balises HTML.';
 $lang['Post_on_a_forum'] 			= 'Partager la miniature (cliquable) sur des forums. Balises BBcode.';
-$lang['text_intro_normal_view'] 	= 'Affichage de la vue normale';
+$lang['text_intro_normal_view'] 	= 'Affichage de la vue normale.';
 $lang['Post_on_a_website_dd'] 		= 'Partager la vue normale (cliquable) sur des sites. Balises HTML.';
 $lang['Post_a_direct_link'] 		= 'Liens directe vers votre fichier.';
Index: /extensions/piwishack/template/controller.css
===================================================================
--- /extensions/piwishack/template/controller.css	(revision 6770)
+++ /extensions/piwishack/template/controller.css	(revision 6771)
@@ -27,5 +27,5 @@
 
 BODY#thePiwiShackControllerPage #content .txt_share {
-	 padding: 0 0 0 10px;
+	 padding: 0 0 0 25px;
 	 text-align: left;
 	 font-weight: bold;
@@ -36,4 +36,12 @@
 	 top: 50px;
 	 padding: 10px;
+}
+
+BODY#thePiwiShackControllerPage #content .title_bloc {
+	 padding: 0 0 0 20px;
+}
+
+BODY#thePiwiShackControllerPage #theHeader, #copyright {
+	 display: none;
 }
 
Index: /extensions/piwishack/template/controller.tpl
===================================================================
--- /extensions/piwishack/template/controller.tpl	(revision 6770)
+++ /extensions/piwishack/template/controller.tpl	(revision 6771)
@@ -25,5 +25,5 @@
     <tr>
       <td class="img_share">
-        <a href="{$ROOT_WAY}{$current.U_IMG}"><img src="{$ROOT_WAY}{$current.THUMB_SRC|@replace:'./':''}" alt="{$ALT_IMG}" /></a>
+        <a <img src="../piwishack/icon/thumbnail.png" alt="Piwishack thumbnail" width=64 height=64/></a>
       </td>
       <td> 
@@ -44,5 +44,8 @@
   <table align="center">
     <tr>
-      <td>    
+      <td class="img_share">
+        <a <img src="../piwishack/icon/web.png" alt="Piwishack thumbnail" width=128 height=128/></a>
+	  </td>
+	  <td>
       <div class="txt_share">{'Post_on_a_website_dd'|@translate}</div>
       <form>
@@ -50,4 +53,8 @@
       </form>
         <br>
+      <div class="txt_share">{'Post_on_a_forum'|@translate}</div>
+      <form>
+        <textarea name="view_Post_on_a_forum" cols="140" rows="2" onclick="select()"></textarea>
+      </form>        <br>
       <div class="txt_share">{'Post_a_direct_link'|@translate}</div>
       <form>