Index: /extensions/NBC_UserAdvManager/trunk/admin/template/global.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/template/global.tpl	(revision 6780)
+++ /extensions/NBC_UserAdvManager/trunk/admin/template/global.tpl	(revision 6781)
@@ -132,10 +132,10 @@
             {if $UAM_ERROR_REPORTS4}     
               <div id="uam_leftmargin">
-                <textarea name="UAM_MailExclusion_List" id="UAM_MailExclusion_List" rows="3" cols="80" style="color: red" {$TAG_INPUT_ENABLED}>{$UAM_MAILEXCLUSION_LIST}</textarea>
+                <textarea class="uam_textfields" name="UAM_MailExclusion_List" id="UAM_MailExclusion_List" rows="3" style="color: red" {$TAG_INPUT_ENABLED}>{$UAM_MAILEXCLUSION_LIST}</textarea>
               </div>
             <br><br>
             {else}
               <div id="uam_leftmargin">
-                <textarea name="UAM_MailExclusion_List" id="UAM_MailExclusion_List" rows="3" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_MAILEXCLUSION_LIST}</textarea>
+                <textarea class="uam_textfields" name="UAM_MailExclusion_List" id="UAM_MailExclusion_List" rows="3" {$TAG_INPUT_ENABLED}>{$UAM_MAILEXCLUSION_LIST}</textarea>
               </div>
             <br><br>
@@ -143,5 +143,5 @@
           {else}
             <div id="uam_leftmargin">
-              <textarea name="UAM_MailExclusion_List" id="UAM_MailExclusion_List" rows="3" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UAM_MAILEXCLUSION_LIST}</textarea>
+              <textarea class="uam_textfields" name="UAM_MailExclusion_List" id="UAM_MailExclusion_List" rows="3" readonly {$TAG_INPUT_ENABLED}>{$UAM_MAILEXCLUSION_LIST}</textarea>
             </div>
           <br><br>
@@ -185,5 +185,5 @@
                 </label>
               <br><br>
-                <textarea name="UAM_MailInfo_Text" id="UAM_MailInfo_Text" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_MAILINFO_TEXT}</textarea>
+                <textarea class="uam_textfields" name="UAM_MailInfo_Text" id="UAM_MailInfo_Text" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_MAILINFO_TEXT}</textarea>
               <br><br>
               </li>
@@ -194,5 +194,5 @@
                 </label>
               <br><br>
-                <textarea name="UAM_MailInfo_Text" id="UAM_MailInfo_Text" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UAM_MAILINFO_TEXT}</textarea>
+                <textarea class="uam_textfields" name="UAM_MailInfo_Text" id="UAM_MailInfo_Text" rows="10" readonly {$TAG_INPUT_ENABLED}>{$UAM_MAILINFO_TEXT}</textarea>
               <br><br>
               </li>
@@ -240,5 +240,5 @@
                 </label>
               <br><br>
-                <textarea name="UAM_ConfirmMail_Text" id="UAM_ConfirmMail_Text" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_TEXT}</textarea>
+                <textarea class="uam_textfields" name="UAM_ConfirmMail_Text" id="UAM_ConfirmMail_Text" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_TEXT}</textarea>
               <br><br>
               </li>
@@ -249,5 +249,5 @@
                 </label>
               <br><br>
-                <textarea name="UAM_ConfirmMail_Text" id="UAM_ConfirmMail_Text" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_TEXT}</textarea>
+                <textarea class="uam_textfields" name="UAM_ConfirmMail_Text" id="UAM_ConfirmMail_Text" rows="10" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_TEXT}</textarea>
               <br><br>
               </li>
@@ -266,5 +266,5 @@
                 </label>
               <br><br>
-                <textarea name="UAM_ConfirmMail_Custom_Txt1" id="UAM_ConfirmMail_Custom_Txt1" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT1}</textarea>
+                <textarea class="uam_textfields" name="UAM_ConfirmMail_Custom_Txt1" id="UAM_ConfirmMail_Custom_Txt1" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT1}</textarea>
               <br><br>
               </li>
@@ -280,5 +280,5 @@
                 </label>
               <br><br>
-                <textarea name="UAM_ConfirmMail_Custom_Txt2" id="UAM_ConfirmMail_Custom_Txt2" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT2}</textarea>
+                <textarea class="uam_textfields" name="UAM_ConfirmMail_Custom_Txt2" id="UAM_ConfirmMail_Custom_Txt2" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT2}</textarea>
               <br><br>
               </li>
@@ -294,5 +294,5 @@
                 </label>
               <br><br>
-                <textarea name="UAM_ConfirmMail_Custom_Txt1" id="UAM_ConfirmMail_Custom_Txt1" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT1}</textarea>
+                <textarea class="uam_textfields" name="UAM_ConfirmMail_Custom_Txt1" id="UAM_ConfirmMail_Custom_Txt1" rows="10" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT1}</textarea>
               <br><br>
               </li>
@@ -303,5 +303,5 @@
                 </label>
               <br><br>
-                <textarea name="UAM_ConfirmMail_Custom_Txt2" id="UAM_ConfirmMail_Custom_Txt2" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT2}</textarea>
+                <textarea class="uam_textfields" name="UAM_ConfirmMail_Custom_Txt2" id="UAM_ConfirmMail_Custom_Txt2" rows="10" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT2}</textarea>
               <br><br>
               </li>
@@ -403,5 +403,5 @@
                   </label>
                 <br><br>
-                  <textarea name="UAM_ConfirmMail_ReMail_Txt1" id="UAM_ConfirmMail_ReMail_Txt1" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT1}</textarea>
+                  <textarea class="uam_textfields" name="UAM_ConfirmMail_ReMail_Txt1" id="UAM_ConfirmMail_ReMail_Txt1" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT1}</textarea>
                 <br><br>
                 </li>
@@ -412,5 +412,5 @@
                   </label>
                 <br><br>
-                  <textarea  name="UAM_ConfirmMail_ReMail_Txt1" id="UAM_ConfirmMail_ReMail_Txt1" rows="10" cols="80" readonly{$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT1}</textarea>
+                  <textarea class="uam_textfields" name="UAM_ConfirmMail_ReMail_Txt1" id="UAM_ConfirmMail_ReMail_Txt1" rows="10" readonly{$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT1}</textarea>
                 <br><br>
                 </li>
@@ -430,5 +430,5 @@
                   </label>
                 <br><br>
-                  <textarea name="UAM_ConfirmMail_ReMail_Txt2" id="UAM_ConfirmMail_ReMail_Txt2" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT2}</textarea><br>
+                  <textarea class="uam_textfields" name="UAM_ConfirmMail_ReMail_Txt2" id="UAM_ConfirmMail_ReMail_Txt2" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT2}</textarea><br>
                 </li>
               {else}
@@ -438,5 +438,5 @@
                   </label>
                 <br><br>
-                  <textarea name="UAM_ConfirmMail_ReMail_Txt2" id="UAM_ConfirmMail_ReMail_Txt2" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT2}</textarea>
+                  <textarea class="uam_textfields" name="UAM_ConfirmMail_ReMail_Txt2" id="UAM_ConfirmMail_ReMail_Txt2" rows="10" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT2}</textarea>
                 <br><br>
                 </li>
@@ -473,9 +473,9 @@
             {if $UAM_GHOSTRACKER_TRUE}
               <li><label class="cluetip" title="{'UAM_gttextTitle'|translate}|{'UAM_gttextTitle_d'|translate}">{'UAM_GhostTracker_ReminderText'|@translate}</label><br><br>
-                <textarea name="UAM_GhostTracker_ReminderText" id="UAM_GhostTracker_ReminderText" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_GHOSTRACKER_REMINDERTEXT}</textarea><br><br>
+                <textarea class="uam_textfields" name="UAM_GhostTracker_ReminderText" id="UAM_GhostTracker_ReminderText" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_GHOSTRACKER_REMINDERTEXT}</textarea><br><br>
               </li>
             {else}
               <li><label class="cluetip" title="{'UAM_gttextTitle'|translate}|{'UAM_gttextTitle_d'|translate}">{'UAM_GhostTracker_ReminderText'|@translate}</label><br><br>
-                <textarea name="UAM_GhostTracker_ReminderText" id="UAM_GhostTracker_ReminderText" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UAM_GHOSTRACKER_REMINDERTEXT}</textarea><br><br>
+                <textarea class="uam_textfields" name="UAM_GhostTracker_ReminderText" id="UAM_GhostTracker_ReminderText" rows="10" readonly {$TAG_INPUT_ENABLED}>{$UAM_GHOSTRACKER_REMINDERTEXT}</textarea><br><br>
               </li>
             {/if}
Index: /extensions/NBC_UserAdvManager/trunk/admin/template/uam.css
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/template/uam.css	(revision 6780)
+++ /extensions/NBC_UserAdvManager/trunk/admin/template/uam.css	(revision 6781)
@@ -1,12 +1,3 @@
-label.cluetip
-{
-  font-weight:bold;
-}
-
-legend.cluetip
-{
-  font-weight:bold;
-}
-
+/* UAM instructions */
 #uam_leftmargin
 {
@@ -18,4 +9,20 @@
   text-align:center;
   text-decoration: underline;
+  font-weight:bold;
+}
+
+textarea.uam_textfields
+{
+  width: 70%;
+}
+
+/* jQuery cluetip instructions */
+label.cluetip
+{
+  font-weight:bold;
+}
+
+legend.cluetip
+{
   font-weight:bold;
 }
@@ -61,4 +68,5 @@
 }
 
+/* jQuery tablesorter instructions */
 tr.throw
 {
Index: /extensions/NBC_UserAdvManager/trunk/changelog.txt.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 6780)
+++ /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 6781)
@@ -185,4 +185,6 @@
             Bug 1790 fixed - Validation tracking tab is set when correct options are set
             Bug 1795 fixed - Fixes rules using email information and/or email of validation
+
+-- 2.15.5 : Bug 1807 fixed - Textareas are resized according the screen resolution
 */
 ?>