Index: extensions/NBC_UserAdvManager/trunk/admin/template/ghosttracker.tpl
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/template/ghosttracker.tpl	(revision 6781)
+++ extensions/NBC_UserAdvManager/trunk/admin/template/ghosttracker.tpl	(revision 6783)
@@ -19,5 +19,5 @@
     {ldelim}
       $("#sorting")
-      .tablesorter({ldelim}sortList:[[3,1]], headers: {ldelim} 0: {ldelim} sorter: false {rdelim}{rdelim}{rdelim})
+      .tablesorter({ldelim}sortList:[[4,1]], headers: {ldelim} 0: {ldelim} sorter: false {rdelim}{rdelim}{rdelim})
       .tablesorterPager({ldelim}container: $("#pager"), positionFixed: false, size: 20, totalPages: 0{rdelim});
     {rdelim} 
@@ -47,4 +47,5 @@
               <th>&nbsp;</th>
               <th>{'Username'|@translate}</th>
+              <th>{'Profile'|@translate}</th>
               <th>{'Email address'|@translate}</th>
               <th>{'LastVisit_Date'|@translate}</th>
@@ -57,4 +58,5 @@
               <td><input type="checkbox" name="selection[]" value="{$user.ID}" {$user.CHECKED} id="selection-{$user.ID}" ></td>
               <td><label for="selection-{$user.ID}">{$user.USERNAME}</label></td>
+              <td style="text-align:center;"><a href="./admin.php?page=profile&amp;user_id={$user.ID}" title="{'Profile'|@translate}" onclick="window.open(this.href); return false;"><img src="{$UAM_PATH}admin/template/icon/edit_s.png"></a></td>
               <td>{$user.EMAIL}</td>
 {if $user.REMINDER == l10n('Reminder_Sent_NOK')}
Index: extensions/NBC_UserAdvManager/trunk/admin/template/userlist.tpl
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/template/userlist.tpl	(revision 6781)
+++ extensions/NBC_UserAdvManager/trunk/admin/template/userlist.tpl	(revision 6783)
@@ -20,5 +20,5 @@
     {ldelim}
       $("#sorting")
-      .tablesorter({ldelim}sortList:[[3,0]]{rdelim})
+      .tablesorter({ldelim}sortList:[[3,1]]{rdelim})
       .tablesorterPager({ldelim}container: $("#pager"), positionFixed: false, size: 20, totalPages: 0{rdelim});
     {rdelim} 
@@ -39,4 +39,5 @@
     			<tr class="throw">
       			<th>{'Username'|@translate}</th>
+            <th>{'Profile'|@translate}</th>
       			<th>{'Email address'|@translate}</th>
             <th>{'LastVisit_Date'|@translate}</th>
@@ -48,4 +49,5 @@
           <tr class="{if $smarty.foreach.users_loop.index is odd}row1{else}row2{/if}">
             <td><label for="selection-{$user.ID}">{$user.USERNAME}</label></td>
+            <td style="text-align:center;"><a href="./admin.php?page=profile&amp;user_id={$user.ID}" title="{'Profile'|@translate}" onclick="window.open(this.href); return false;"><img src="{$UAM_PATH}admin/template/icon/edit_s.png"></a></td>
             <td>{$user.EMAIL}</td>
             <td style="text-align:center;">{$user.LASTVISIT}</td>
Index: extensions/NBC_UserAdvManager/trunk/admin/template/usermanager.tpl
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/template/usermanager.tpl	(revision 6781)
+++ extensions/NBC_UserAdvManager/trunk/admin/template/usermanager.tpl	(revision 6783)
@@ -19,5 +19,5 @@
     {ldelim}
       $("#sorting")
-      .tablesorter({ldelim}sortList:[[5,1]], headers: {ldelim} 0: {ldelim} sorter: false {rdelim}{rdelim}{rdelim})
+      .tablesorter({ldelim}sortList:[[6,1]], headers: {ldelim} 0: {ldelim} sorter: false {rdelim}{rdelim}{rdelim})
       .tablesorterPager({ldelim}container: $("#pager"), positionFixed: false, size: 20, totalPages: 0{rdelim});
     {rdelim} 
@@ -36,11 +36,12 @@
     			<tr class="throw">
       			<th>&nbsp;</td>
-      			<th>&nbsp;{'Username'|@translate}&nbsp;&nbsp;</th>
-      			<th>&nbsp;{'User status'|@translate}&nbsp;&nbsp;</th>
-      			<th>&nbsp;{'Email address'|@translate}&nbsp;&nbsp;</th>
-      			<th>&nbsp;{'Groups'|@translate}&nbsp;&nbsp;</th>
-      			<th>&nbsp;{'Registration_Date'|@translate}&nbsp;&nbsp;</th>
+      			<th>{'Username'|@translate}&nbsp;&nbsp;</th>
+            <th>{'Profile'|@translate}&nbsp;&nbsp;</th>
+      			<th>{'User status'|@translate}&nbsp;&nbsp;</th>
+      			<th>{'Email address'|@translate}&nbsp;&nbsp;</th>
+      			<th>{'Groups'|@translate}&nbsp;&nbsp;</th>
+      			<th>{'Registration_Date'|@translate}&nbsp;&nbsp;</th>
           {if $CONFIRM_LOCAL == ""}
-            <th>&nbsp;{'Reminder'|@translate}&nbsp;&nbsp;</th>
+            <th>{'Reminder'|@translate}&nbsp;&nbsp;</th>
           {/if}
     			</tr>
@@ -51,4 +52,5 @@
             <td><input type="checkbox" name="selection[]" value="{$user.ID}" {$user.CHECKED} id="selection-{$user.ID}" ></td>
             <td><label for="selection-{$user.ID}">{$user.USERNAME}</label></td>
+            <td style="text-align:center;"><a href="./admin.php?page=profile&amp;user_id={$user.ID}" title="{'Profile'|@translate}" onclick="window.open(this.href); return false;"><img src="{$UAM_PATH}admin/template/icon/edit_s.png"></a></td>
             <td>{$user.STATUS}</td>
             <td>{$user.EMAIL}</td>