Index: /extensions/NBC_UserAdvManager/branches/2.15/ConfirmMail.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/ConfirmMail.php	(revision 6786)
+++ /extensions/NBC_UserAdvManager/branches/2.15/ConfirmMail.php	(revision 6787)
@@ -8,10 +8,4 @@
 include_once (UAM_PATH.'include/functions.inc.php');
 
-// +-----------------------------------------------------------------------+
-// | Check Access and exit when user status is not ok                      |
-// +-----------------------------------------------------------------------+
-//check_status(ACCESS_NONE);
-load_language('plugin.lang', UAM_PATH);
-
 $title= l10n('confirm_mail_page_title');
 $page['body_id'] = 'theAboutPage';
@@ -22,19 +16,64 @@
 
 
-if (isset($_GET['key']))
+if (isset($_GET['key']) and isset($_GET['userid']))
 {
 
-  global $conf;
+  global $user, $lang, $conf, $errors;
+  
+  $key = $_GET['key'];
+  $userid = $_GET['userid'];
+  $redirect = false;
   
   $conf_UAM_ConfirmMail = unserialize($conf['UserAdvManager_ConfirmMail']);
+  $conf_UAM = unserialize($conf['UserAdvManager']);
 
-  if (VerifyConfirmMail($_GET['key']))
+  if (VerifyConfirmMail($key))
   {
     $status = true;
     
+    log_user($userid, false);
+
+/* We have to get the user's language in database */
+    $query = '
+SELECT '.USER_INFOS_TABLE.'.language
+FROM '.USER_INFOS_TABLE.','.USER_CONFIRM_MAIL_TABLE.'
+WHERE (('.USER_INFOS_TABLE.'.user_id ='.$userid.') AND ('.USER_INFOS_TABLE.'.user_id = '.USER_CONFIRM_MAIL_TABLE.'.user_id))
+;';
+    $data = pwg_db_fetch_assoc(pwg_query($query));
+
+/* Check if user is already registered (profile changing) - If not (new registration), language is set to current gallery language */
+    if (empty($data))
+    {
+/* And switch gallery to this language before using personalized and multilangual contents */
+      $language = pwg_get_session_var('lang_switch', $user['language']);
+      switch_lang_to($language);
+    }
+    else
+    {
+/* And switch gallery to this language before using personalized and multilangual contents */
+      switch_lang_to($data['language']);
+      load_language('plugin.lang', UAM_PATH);
+    }
+
+    if (function_exists('get_user_language_desc'))
+    {
+      $custom_text = get_user_language_desc($conf_UAM_ConfirmMail[5]);
+    }
+    else $custom_text = l10n($conf_UAM_ConfirmMail[5]);
+
+    if (isset($conf_UAM[21]) and $conf_UAM[21] == 'true')
+    {
+      $user_idsOK = array();
+      if (!check_consult($userid, $user_idsOK))
+      {
+        $redirect = true;
+      }
+    }
+    
     $template->assign(
 			array(
+        'REDIRECT'             => $redirect,
         'STATUS'               => $status,
-				'CONFIRM_MAIL_MESSAGE' => $conf_UAM_ConfirmMail[5],
+				'CONFIRM_MAIL_MESSAGE' => $custom_text,
 			)
 		);
@@ -43,8 +82,15 @@
   {
     $status = false;
+    if (function_exists('get_user_language_desc'))
+    {
+      $custom_text = get_user_language_desc($conf_UAM_ConfirmMail[6]);
+    }
+    else $custom_text = l10n($conf_UAM_ConfirmMail[6]);
+    
     $template->assign(
 			array(
+        'REDIRECT'             => $redirect,
         'STATUS'               => $status,
-				'CONFIRM_MAIL_MESSAGE' => $conf_UAM_ConfirmMail[6],
+				'CONFIRM_MAIL_MESSAGE' => $custom_text,
 			)
 		);
@@ -60,5 +106,5 @@
 
 if ( isset($conf['gallery_url']) )
-	{
+{
 	$template->assign(
 		array(
Index: /extensions/NBC_UserAdvManager/branches/2.15/admin/UAM_admin.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/admin/UAM_admin.php	(revision 6786)
+++ /extensions/NBC_UserAdvManager/branches/2.15/admin/UAM_admin.php	(revision 6787)
@@ -370,5 +370,5 @@
 		  while($row = pwg_db_fetch_assoc($result))
 	  	{
-				$msg_error1 .= (($msg_error1 <> '') ? '<br/>' : '') . l10n('Err_audit_no_casse').stripslashes($row['username']);
+				$msg_error1 .= (($msg_error1 <> '') ? '<br>' : '') . l10n('Err_audit_no_casse').stripslashes($row['username']);
 			}
 		}
@@ -389,5 +389,5 @@
 			{
 				if (!ValidateUsername(stripslashes($row['username'])))
-					$msg_error2 .= (($msg_error2 <> '') ? '<br/>' : '') . l10n('Err_audit_username_char').stripslashes($row['username']);
+					$msg_error2 .= (($msg_error2 <> '') ? '<br>' : '') . l10n('Err_audit_username_char').stripslashes($row['username']);
 			}
 		}
@@ -413,5 +413,5 @@
 				  if (preg_match($pattern, $row['mail_address']))
 				  {
-						$msg_error3 .=  (($msg_error3 <> '') ? '<br/>' : '') . l10n('Err_audit_email_forbidden').stripslashes($row['username']).' ('.$row['mail_address'].')';
+						$msg_error3 .=  (($msg_error3 <> '') ? '<br>' : '') . l10n('Err_audit_email_forbidden').stripslashes($row['username']).' ('.$row['mail_address'].')';
 					}
 				}
@@ -420,11 +420,11 @@
 		
     if ($msg_error1 <> '')
-			$errors[] = $msg_error1.'<br/><br/>';
+			$errors[] = $msg_error1.'<br><br>';
 		
 		if ($msg_error2 <> '')
-			$errors[] = $msg_error2.'<br/><br/>';
+			$errors[] = $msg_error2.'<br><br>';
 		
 		if ($msg_error3 <> '')
-	  	$errors[] = $msg_error3.'<br/><br/>';
+	  	$errors[] = $msg_error3.'<br><br>';
 		
 		if ($msg_error1 <> '' or $msg_error2 <> '' or $msg_error3 <> '')
Index: /extensions/NBC_UserAdvManager/branches/2.15/admin/template/ghosttracker.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/admin/template/ghosttracker.tpl	(revision 6786)
+++ /extensions/NBC_UserAdvManager/branches/2.15/admin/template/ghosttracker.tpl	(revision 6787)
@@ -19,5 +19,5 @@
     {ldelim}
       $("#sorting")
-      .tablesorter({ldelim}sortList:[[3,1]], headers: {ldelim} 0: {ldelim} sorter: false {rdelim}{rdelim}{rdelim})
+      .tablesorter({ldelim}sortList:[[4,1]], headers: {ldelim} 0: {ldelim} sorter: false {rdelim}{rdelim}{rdelim})
       .tablesorterPager({ldelim}container: $("#pager"), positionFixed: false, size: 20, totalPages: 0{rdelim});
     {rdelim} 
@@ -47,4 +47,5 @@
               <th>&nbsp;</th>
               <th>{'Username'|@translate}</th>
+              <th>{'Profile'|@translate}</th>
               <th>{'Email address'|@translate}</th>
               <th>{'LastVisit_Date'|@translate}</th>
@@ -57,4 +58,5 @@
               <td><input type="checkbox" name="selection[]" value="{$user.ID}" {$user.CHECKED} id="selection-{$user.ID}" ></td>
               <td><label for="selection-{$user.ID}">{$user.USERNAME}</label></td>
+              <td style="text-align:center;"><a href="./admin.php?page=profile&amp;user_id={$user.ID}" title="{'Profile'|@translate}" onclick="window.open(this.href); return false;"><img src="{$UAM_PATH}admin/template/icon/edit_s.png"></a></td>
               <td>{$user.EMAIL}</td>
 {if $user.REMINDER == l10n('Reminder_Sent_NOK')}
Index: /extensions/NBC_UserAdvManager/branches/2.15/admin/template/global.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/admin/template/global.tpl	(revision 6786)
+++ /extensions/NBC_UserAdvManager/branches/2.15/admin/template/global.tpl	(revision 6787)
@@ -132,10 +132,10 @@
             {if $UAM_ERROR_REPORTS4}     
               <div id="uam_leftmargin">
-                <textarea name="UAM_MailExclusion_List" id="UAM_MailExclusion_List" rows="3" cols="80" style="color: red" {$TAG_INPUT_ENABLED}>{$UAM_MAILEXCLUSION_LIST}</textarea>
+                <textarea class="uam_textfields" name="UAM_MailExclusion_List" id="UAM_MailExclusion_List" rows="3" style="color: red" {$TAG_INPUT_ENABLED}>{$UAM_MAILEXCLUSION_LIST}</textarea>
               </div>
             <br><br>
             {else}
               <div id="uam_leftmargin">
-                <textarea name="UAM_MailExclusion_List" id="UAM_MailExclusion_List" rows="3" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_MAILEXCLUSION_LIST}</textarea>
+                <textarea class="uam_textfields" name="UAM_MailExclusion_List" id="UAM_MailExclusion_List" rows="3" {$TAG_INPUT_ENABLED}>{$UAM_MAILEXCLUSION_LIST}</textarea>
               </div>
             <br><br>
@@ -143,5 +143,5 @@
           {else}
             <div id="uam_leftmargin">
-              <textarea name="UAM_MailExclusion_List" id="UAM_MailExclusion_List" rows="3" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UAM_MAILEXCLUSION_LIST}</textarea>
+              <textarea class="uam_textfields" name="UAM_MailExclusion_List" id="UAM_MailExclusion_List" rows="3" readonly {$TAG_INPUT_ENABLED}>{$UAM_MAILEXCLUSION_LIST}</textarea>
             </div>
           <br><br>
@@ -185,5 +185,5 @@
                 </label>
               <br><br>
-                <textarea name="UAM_MailInfo_Text" id="UAM_MailInfo_Text" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_MAILINFO_TEXT}</textarea>
+                <textarea class="uam_textfields" name="UAM_MailInfo_Text" id="UAM_MailInfo_Text" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_MAILINFO_TEXT}</textarea>
               <br><br>
               </li>
@@ -194,5 +194,5 @@
                 </label>
               <br><br>
-                <textarea name="UAM_MailInfo_Text" id="UAM_MailInfo_Text" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UAM_MAILINFO_TEXT}</textarea>
+                <textarea class="uam_textfields" name="UAM_MailInfo_Text" id="UAM_MailInfo_Text" rows="10" readonly {$TAG_INPUT_ENABLED}>{$UAM_MAILINFO_TEXT}</textarea>
               <br><br>
               </li>
@@ -240,5 +240,5 @@
                 </label>
               <br><br>
-                <textarea name="UAM_ConfirmMail_Text" id="UAM_ConfirmMail_Text" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_TEXT}</textarea>
+                <textarea class="uam_textfields" name="UAM_ConfirmMail_Text" id="UAM_ConfirmMail_Text" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_TEXT}</textarea>
               <br><br>
               </li>
@@ -249,5 +249,5 @@
                 </label>
               <br><br>
-                <textarea name="UAM_ConfirmMail_Text" id="UAM_ConfirmMail_Text" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_TEXT}</textarea>
+                <textarea class="uam_textfields" name="UAM_ConfirmMail_Text" id="UAM_ConfirmMail_Text" rows="10" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_TEXT}</textarea>
               <br><br>
               </li>
@@ -266,5 +266,5 @@
                 </label>
               <br><br>
-                <textarea name="UAM_ConfirmMail_Custom_Txt1" id="UAM_ConfirmMail_Custom_Txt1" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT1}</textarea>
+                <textarea class="uam_textfields" name="UAM_ConfirmMail_Custom_Txt1" id="UAM_ConfirmMail_Custom_Txt1" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT1}</textarea>
               <br><br>
               </li>
@@ -280,5 +280,5 @@
                 </label>
               <br><br>
-                <textarea name="UAM_ConfirmMail_Custom_Txt2" id="UAM_ConfirmMail_Custom_Txt2" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT2}</textarea>
+                <textarea class="uam_textfields" name="UAM_ConfirmMail_Custom_Txt2" id="UAM_ConfirmMail_Custom_Txt2" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT2}</textarea>
               <br><br>
               </li>
@@ -294,5 +294,5 @@
                 </label>
               <br><br>
-                <textarea name="UAM_ConfirmMail_Custom_Txt1" id="UAM_ConfirmMail_Custom_Txt1" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT1}</textarea>
+                <textarea class="uam_textfields" name="UAM_ConfirmMail_Custom_Txt1" id="UAM_ConfirmMail_Custom_Txt1" rows="10" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT1}</textarea>
               <br><br>
               </li>
@@ -303,5 +303,5 @@
                 </label>
               <br><br>
-                <textarea name="UAM_ConfirmMail_Custom_Txt2" id="UAM_ConfirmMail_Custom_Txt2" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT2}</textarea>
+                <textarea class="uam_textfields" name="UAM_ConfirmMail_Custom_Txt2" id="UAM_ConfirmMail_Custom_Txt2" rows="10" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT2}</textarea>
               <br><br>
               </li>
@@ -403,5 +403,5 @@
                   </label>
                 <br><br>
-                  <textarea name="UAM_ConfirmMail_ReMail_Txt1" id="UAM_ConfirmMail_ReMail_Txt1" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT1}</textarea>
+                  <textarea class="uam_textfields" name="UAM_ConfirmMail_ReMail_Txt1" id="UAM_ConfirmMail_ReMail_Txt1" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT1}</textarea>
                 <br><br>
                 </li>
@@ -412,5 +412,5 @@
                   </label>
                 <br><br>
-                  <textarea  name="UAM_ConfirmMail_ReMail_Txt1" id="UAM_ConfirmMail_ReMail_Txt1" rows="10" cols="80" readonly{$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT1}</textarea>
+                  <textarea class="uam_textfields" name="UAM_ConfirmMail_ReMail_Txt1" id="UAM_ConfirmMail_ReMail_Txt1" rows="10" readonly{$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT1}</textarea>
                 <br><br>
                 </li>
@@ -430,5 +430,5 @@
                   </label>
                 <br><br>
-                  <textarea name="UAM_ConfirmMail_ReMail_Txt2" id="UAM_ConfirmMail_ReMail_Txt2" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT2}</textarea><br>
+                  <textarea class="uam_textfields" name="UAM_ConfirmMail_ReMail_Txt2" id="UAM_ConfirmMail_ReMail_Txt2" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT2}</textarea><br>
                 </li>
               {else}
@@ -438,5 +438,5 @@
                   </label>
                 <br><br>
-                  <textarea name="UAM_ConfirmMail_ReMail_Txt2" id="UAM_ConfirmMail_ReMail_Txt2" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT2}</textarea>
+                  <textarea class="uam_textfields" name="UAM_ConfirmMail_ReMail_Txt2" id="UAM_ConfirmMail_ReMail_Txt2" rows="10" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT2}</textarea>
                 <br><br>
                 </li>
@@ -473,9 +473,9 @@
             {if $UAM_GHOSTRACKER_TRUE}
               <li><label class="cluetip" title="{'UAM_gttextTitle'|translate}|{'UAM_gttextTitle_d'|translate}">{'UAM_GhostTracker_ReminderText'|@translate}</label><br><br>
-                <textarea name="UAM_GhostTracker_ReminderText" id="UAM_GhostTracker_ReminderText" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_GHOSTRACKER_REMINDERTEXT}</textarea><br><br>
+                <textarea class="uam_textfields" name="UAM_GhostTracker_ReminderText" id="UAM_GhostTracker_ReminderText" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_GHOSTRACKER_REMINDERTEXT}</textarea><br><br>
               </li>
             {else}
               <li><label class="cluetip" title="{'UAM_gttextTitle'|translate}|{'UAM_gttextTitle_d'|translate}">{'UAM_GhostTracker_ReminderText'|@translate}</label><br><br>
-                <textarea name="UAM_GhostTracker_ReminderText" id="UAM_GhostTracker_ReminderText" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UAM_GHOSTRACKER_REMINDERTEXT}</textarea><br><br>
+                <textarea class="uam_textfields" name="UAM_GhostTracker_ReminderText" id="UAM_GhostTracker_ReminderText" rows="10" readonly {$TAG_INPUT_ENABLED}>{$UAM_GHOSTRACKER_REMINDERTEXT}</textarea><br><br>
               </li>
             {/if}
Index: /extensions/NBC_UserAdvManager/branches/2.15/admin/template/uam.css
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/admin/template/uam.css	(revision 6786)
+++ /extensions/NBC_UserAdvManager/branches/2.15/admin/template/uam.css	(revision 6787)
@@ -1,12 +1,3 @@
-label.cluetip
-{
-  font-weight:bold;
-}
-
-legend.cluetip
-{
-  font-weight:bold;
-}
-
+/* UAM instructions */
 #uam_leftmargin
 {
@@ -18,4 +9,20 @@
   text-align:center;
   text-decoration: underline;
+  font-weight:bold;
+}
+
+textarea.uam_textfields
+{
+  width: 70%;
+}
+
+/* jQuery cluetip instructions */
+label.cluetip
+{
+  font-weight:bold;
+}
+
+legend.cluetip
+{
   font-weight:bold;
 }
@@ -61,4 +68,5 @@
 }
 
+/* jQuery tablesorter instructions */
 tr.throw
 {
Index: /extensions/NBC_UserAdvManager/branches/2.15/admin/template/userlist.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/admin/template/userlist.tpl	(revision 6786)
+++ /extensions/NBC_UserAdvManager/branches/2.15/admin/template/userlist.tpl	(revision 6787)
@@ -20,5 +20,5 @@
     {ldelim}
       $("#sorting")
-      .tablesorter({ldelim}sortList:[[3,0]]{rdelim})
+      .tablesorter({ldelim}sortList:[[3,1]]{rdelim})
       .tablesorterPager({ldelim}container: $("#pager"), positionFixed: false, size: 20, totalPages: 0{rdelim});
     {rdelim} 
@@ -39,4 +39,5 @@
     			<tr class="throw">
       			<th>{'Username'|@translate}</th>
+            <th>{'Profile'|@translate}</th>
       			<th>{'Email address'|@translate}</th>
             <th>{'LastVisit_Date'|@translate}</th>
@@ -48,4 +49,5 @@
           <tr class="{if $smarty.foreach.users_loop.index is odd}row1{else}row2{/if}">
             <td><label for="selection-{$user.ID}">{$user.USERNAME}</label></td>
+            <td style="text-align:center;"><a href="./admin.php?page=profile&amp;user_id={$user.ID}" title="{'Profile'|@translate}" onclick="window.open(this.href); return false;"><img src="{$UAM_PATH}admin/template/icon/edit_s.png"></a></td>
             <td>{$user.EMAIL}</td>
             <td style="text-align:center;">{$user.LASTVISIT}</td>
Index: /extensions/NBC_UserAdvManager/branches/2.15/admin/template/usermanager.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/admin/template/usermanager.tpl	(revision 6786)
+++ /extensions/NBC_UserAdvManager/branches/2.15/admin/template/usermanager.tpl	(revision 6787)
@@ -19,5 +19,5 @@
     {ldelim}
       $("#sorting")
-      .tablesorter({ldelim}sortList:[[5,1]], headers: {ldelim} 0: {ldelim} sorter: false {rdelim}{rdelim}{rdelim})
+      .tablesorter({ldelim}sortList:[[6,1]], headers: {ldelim} 0: {ldelim} sorter: false {rdelim}{rdelim}{rdelim})
       .tablesorterPager({ldelim}container: $("#pager"), positionFixed: false, size: 20, totalPages: 0{rdelim});
     {rdelim} 
@@ -36,11 +36,12 @@
     			<tr class="throw">
       			<th>&nbsp;</td>
-      			<th>&nbsp;{'Username'|@translate}&nbsp;&nbsp;</th>
-      			<th>&nbsp;{'User status'|@translate}&nbsp;&nbsp;</th>
-      			<th>&nbsp;{'Email address'|@translate}&nbsp;&nbsp;</th>
-      			<th>&nbsp;{'Groups'|@translate}&nbsp;&nbsp;</th>
-      			<th>&nbsp;{'Registration_Date'|@translate}&nbsp;&nbsp;</th>
+      			<th>{'Username'|@translate}&nbsp;&nbsp;</th>
+            <th>{'Profile'|@translate}&nbsp;&nbsp;</th>
+      			<th>{'User status'|@translate}&nbsp;&nbsp;</th>
+      			<th>{'Email address'|@translate}&nbsp;&nbsp;</th>
+      			<th>{'Groups'|@translate}&nbsp;&nbsp;</th>
+      			<th>{'Registration_Date'|@translate}&nbsp;&nbsp;</th>
           {if $CONFIRM_LOCAL == ""}
-            <th>&nbsp;{'Reminder'|@translate}&nbsp;&nbsp;</th>
+            <th>{'Reminder'|@translate}&nbsp;&nbsp;</th>
           {/if}
     			</tr>
@@ -51,4 +52,5 @@
             <td><input type="checkbox" name="selection[]" value="{$user.ID}" {$user.CHECKED} id="selection-{$user.ID}" ></td>
             <td><label for="selection-{$user.ID}">{$user.USERNAME}</label></td>
+            <td style="text-align:center;"><a href="./admin.php?page=profile&amp;user_id={$user.ID}" title="{'Profile'|@translate}" onclick="window.open(this.href); return false;"><img src="{$UAM_PATH}admin/template/icon/edit_s.png"></a></td>
             <td>{$user.STATUS}</td>
             <td>{$user.EMAIL}</td>
Index: /extensions/NBC_UserAdvManager/branches/2.15/changelog.txt.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/changelog.txt.php	(revision 6786)
+++ /extensions/NBC_UserAdvManager/branches/2.15/changelog.txt.php	(revision 6787)
@@ -185,4 +185,11 @@
             Bug 1790 fixed - Validation tracking tab is set when correct options are set
             Bug 1795 fixed - Fixes rules using email information and/or email of validation
+
+-- 2.15.5 : Bug 1693 fixed - Multi-languages are available for ConfirmMail customization (using Extended Description plugin)
+            Bug 1727 fixed - The redirection does not appli to admins, webmaster and generic users.
+            Bug 1807 fixed - Textareas are resized according the screen resolution
+            Bug 1808 fixed - The Tracking users table is ordered by default on "LastVisit" field (last in at top) 
+            Bug 1809 fixed - Addition of a direct link to user's profile in all UAM tables. The link gives a new window
+            Bug 1810 partially fixed - Auto login is not performed after visitors have validated their registration but the "home" button changes his link to redirect to identification page when the redirection option is set. Note: The redirection to profile.php doesn't work because I was unable to use the log_user() function on ConfirmMail page. This feature is still under investigation to perform the best way. 
 */
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.15/include/functions.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/include/functions.inc.php	(revision 6786)
+++ /extensions/NBC_UserAdvManager/branches/2.15/include/functions.inc.php	(revision 6787)
@@ -387,5 +387,5 @@
     }
     
-    return get_absolute_root_url().UAM_PATH.'ConfirmMail.php?key='.$Confirm_Mail_ID;
+    return get_absolute_root_url().UAM_PATH.'ConfirmMail.php?key='.$Confirm_Mail_ID.'&userid='.$user_id;
   }
 }
@@ -458,5 +458,5 @@
 		pwg_query($query);
     
-    return get_absolute_root_url().UAM_PATH.'ConfirmMail.php?key='.$Confirm_Mail_ID;
+    return get_absolute_root_url().UAM_PATH.'ConfirmMail.php?key='.$Confirm_Mail_ID.'&userid='.$user_id;
   }
 }
@@ -505,9 +505,9 @@
   $tab = array();
 
-  $query = "
+  $query = '
 SELECT value
-FROM ".CONFIG_TABLE."
-WHERE param = 'UserAdvManager_Redir'
-;";
+FROM '.CONFIG_TABLE.'
+WHERE param = "UserAdvManager_Redir"
+;';
 
   $tab = pwg_db_fetch_row(pwg_query($query));
@@ -527,4 +527,5 @@
 
 /* Function called from ConfirmMail.php to verify validation key used by user according time limit */
+/* Return true is key validation is OK else return false */
 function VerifyConfirmMail($id)
 {
Index: /extensions/NBC_UserAdvManager/branches/2.15/main.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/main.inc.php	(revision 6786)
+++ /extensions/NBC_UserAdvManager/branches/2.15/main.inc.php	(revision 6787)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: UserAdvManager
-Version: 2.15.4
+Version: 2.15.5
 Description: Renforcer la gestion des utilisateurs - Enforce users management
 Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=216
@@ -13,24 +13,5 @@
 /*
  ***** TODO List *****
-++ No validation needed for admins users comments (new trigger needed in comments.php ?)
-
-++ No single email check for admins (new trigger needed in functions_user.inc.php ?)
-
-++ Password control and enforcement
-  ?? Can not be the same as username -> Could password score control be sufficient ? 
-  
-++ Security : Blocking brut-force attacks !
-              -> Way to do that : Count the number of failed attempts to connect and lock the targetted account after x attempts. Where x will be settable by admin.
-              To unlock the locked account :
-               -> A new table in admin's plugin panel which would display the locked accounts.
-               -> Sending an email to account owner to inform him his account is blocked due to multiple failed connexions attempts. This email could have a link with a security key to unlock the account.
-               -> Both of above solutions ?
-
-++ Opportunity to copy a registered user for new user creation
-  ++ new copied user will (or not) belong to the same groups
-  ++ new copied user will (or not) get the same status (visitor, admin, webmaster, guest (??))
-  ++ new copied user will (or not) get the same properties
-  ++ new copied user will (or not) get the same language
-  ... and so on
+See project bugtracker: http://piwigo.org/bugs/my_view_page.php
 */
 
@@ -416,5 +397,5 @@
 
 // RedirectToProfile - Thx to LucMorizur
-// redirects a visitor (not generic (forbidden) neither admin) to his
+// redirects a visitor (except for admins, webmasters and generic statuses) to his
 // profile.php page
 //
@@ -427,10 +408,20 @@
   
   $conf_UAM = unserialize($conf['UserAdvManager']);
-
-  if ((isset($conf_UAM[21]) and $conf_UAM[21] == 'true'))
-  {
-    $user_idsOK = array();
-    if (!check_consult($user['id'], $user_idsOK))
-      redirect(PHPWG_ROOT_PATH.'profile.php');
+  
+  $query ='
+SELECT user_id, status
+FROM '.USER_INFOS_TABLE.'
+WHERE user_id = '.$user['id'].'
+;';
+  $data = pwg_db_fetch_assoc(pwg_query($query));
+  
+  if ($data['status'] <> "admin" and $data['status'] <> "webmaster" and $data['status'] <> "generic")
+  {
+    if ((isset($conf_UAM[21]) and $conf_UAM[21] == 'true'))
+    {
+      $user_idsOK = array();
+      if (!check_consult($user['id'], $user_idsOK))
+        redirect(PHPWG_ROOT_PATH.'profile.php');
+    }
   }
 }
Index: /extensions/NBC_UserAdvManager/branches/2.15/template/ConfirmMail.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.15/template/ConfirmMail.tpl	(revision 6786)
+++ /extensions/NBC_UserAdvManager/branches/2.15/template/ConfirmMail.tpl	(revision 6787)
@@ -5,4 +5,9 @@
     <ul class="categoryActions">
       <li>
+    {if $REDIRECT}
+        <a href="{$ROOT_URL}identification.php" title="{'return to homepage'|@translate}">
+          <img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}">
+        </a>
+    {else}
       {if isset($GALLERY_URL)}
         <a href="{$GALLERY_URL}" title="{'return to homepage'|@translate}">
@@ -14,4 +19,5 @@
         </a>
       {/if}
+    {/if}
       </li>
     </ul>