Index: /extensions/piwishack/doc/Quoi de neuf.txt
===================================================================
--- /extensions/piwishack/doc/Quoi de neuf.txt	(revision 6793)
+++ /extensions/piwishack/doc/Quoi de neuf.txt	(revision 6794)
@@ -54,4 +54,9 @@
     [Bugtracker, bug 1481, open] Returns to the line not valide
 
-v0.4 Disponible le ...
+v0.4 Disponible le 17-08-2010
     [Bugtracker, bug 1558, fixed] Wrong parameter line 277 in class.inc.php
+    [Bugtracker, bug 1800, fixed] Add icons in the pop-up.
+    [Bugtracker, bug 1801, fixed] Add a new row "Post_on_a_forum" for web view
+
+v0.4.1 Disponible le 23-08-2010
+    [Bugtracker, bug 1814, fixed] Bug in field "Affichage de la vue normale, Afficher sur un forum"
Index: /extensions/piwishack/doc/What's new.txt
===================================================================
--- /extensions/piwishack/doc/What's new.txt	(revision 6793)
+++ /extensions/piwishack/doc/What's new.txt	(revision 6794)
@@ -54,4 +54,9 @@
     [Bugtracker, bug 1481, open] Returns to the line not valide
 
-v0.4 Disponible le ...
+v0.4 Disponible le 17-08-2010
     [Bugtracker, bug 1558, fixed] Wrong parameter line 277 in class.inc.php
+    [Bugtracker, bug 1800, fixed] Add icons in the pop-up.
+    [Bugtracker, bug 1801, fixed] Add a new row "Post_on_a_forum" for web view
+
+v0.4.1 Disponible le 23-08-2010
+    [Bugtracker, bug 1814, fixed] Bug in field "Affichage de la vue normale, Afficher sur un forum"
Index: /extensions/piwishack/doc/index.php
===================================================================
--- /extensions/piwishack/doc/index.php	(revision 6794)
+++ /extensions/piwishack/doc/index.php	(revision 6794)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PiwiShack - a Piwigo Plugin                                           |
+// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piwishack/icon/index.php
===================================================================
--- /extensions/piwishack/icon/index.php	(revision 6793)
+++ /extensions/piwishack/icon/index.php	(revision 6794)
Index: /extensions/piwishack/include/class.inc.php
===================================================================
--- /extensions/piwishack/include/class.inc.php	(revision 6793)
+++ /extensions/piwishack/include/class.inc.php	(revision 6794)
@@ -352,6 +352,6 @@
               'image_id' => $row['id'],
               'image_file' => $row['file'],
-              )).'][img]'.
-		  str_replace('/./', '/', get_image_url($row)).'[/img][/url]';
+              )).'][img]'.get_absolute_root_url().
+		  str_replace('./', '', get_image_url($row)).'[/img][/url]';
 	    $S .= '\n\n';
       }
Index: /extensions/piwishack/include/index.php
===================================================================
--- /extensions/piwishack/include/index.php	(revision 6793)
+++ /extensions/piwishack/include/index.php	(revision 6794)
Index: /extensions/piwishack/index.php
===================================================================
--- /extensions/piwishack/index.php	(revision 6793)
+++ /extensions/piwishack/index.php	(revision 6794)
Index: /extensions/piwishack/initialize.inc.php
===================================================================
--- /extensions/piwishack/initialize.inc.php	(revision 6793)
+++ /extensions/piwishack/initialize.inc.php	(revision 6794)
Index: /extensions/piwishack/language/de_DE/index.php
===================================================================
--- /extensions/piwishack/language/de_DE/index.php	(revision 6793)
+++ /extensions/piwishack/language/de_DE/index.php	(revision 6794)
Index: /extensions/piwishack/language/en_UK/index.php
===================================================================
--- /extensions/piwishack/language/en_UK/index.php	(revision 6793)
+++ /extensions/piwishack/language/en_UK/index.php	(revision 6794)
Index: /extensions/piwishack/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/en_UK/plugin.lang.php	(revision 6793)
+++ /extensions/piwishack/language/en_UK/plugin.lang.php	(revision 6794)
Index: /extensions/piwishack/language/es_ES/index.php
===================================================================
--- /extensions/piwishack/language/es_ES/index.php	(revision 6793)
+++ /extensions/piwishack/language/es_ES/index.php	(revision 6794)
Index: /extensions/piwishack/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/es_ES/plugin.lang.php	(revision 6793)
+++ /extensions/piwishack/language/es_ES/plugin.lang.php	(revision 6794)
Index: /extensions/piwishack/language/fr_FR/index.php
===================================================================
--- /extensions/piwishack/language/fr_FR/index.php	(revision 6793)
+++ /extensions/piwishack/language/fr_FR/index.php	(revision 6794)
Index: /extensions/piwishack/language/hu_HU/description.txt
===================================================================
--- /extensions/piwishack/language/hu_HU/description.txt	(revision 6793)
+++ /extensions/piwishack/language/hu_HU/description.txt	(revision 6794)
Index: /extensions/piwishack/language/hu_HU/index.php
===================================================================
--- /extensions/piwishack/language/hu_HU/index.php	(revision 6793)
+++ /extensions/piwishack/language/hu_HU/index.php	(revision 6794)
Index: /extensions/piwishack/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/hu_HU/plugin.lang.php	(revision 6793)
+++ /extensions/piwishack/language/hu_HU/plugin.lang.php	(revision 6794)
Index: /extensions/piwishack/language/index.php
===================================================================
--- /extensions/piwishack/language/index.php	(revision 6793)
+++ /extensions/piwishack/language/index.php	(revision 6794)
Index: /extensions/piwishack/language/it_IT/index.php
===================================================================
--- /extensions/piwishack/language/it_IT/index.php	(revision 6793)
+++ /extensions/piwishack/language/it_IT/index.php	(revision 6794)
Index: /extensions/piwishack/language/ru_RU/description.txt
===================================================================
--- /extensions/piwishack/language/ru_RU/description.txt	(revision 6793)
+++ /extensions/piwishack/language/ru_RU/description.txt	(revision 6794)
Index: /extensions/piwishack/language/ru_RU/index.php
===================================================================
--- /extensions/piwishack/language/ru_RU/index.php	(revision 6793)
+++ /extensions/piwishack/language/ru_RU/index.php	(revision 6794)
Index: /extensions/piwishack/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/ru_RU/plugin.lang.php	(revision 6793)
+++ /extensions/piwishack/language/ru_RU/plugin.lang.php	(revision 6794)
Index: /extensions/piwishack/main.inc.php
===================================================================
--- /extensions/piwishack/main.inc.php	(revision 6793)
+++ /extensions/piwishack/main.inc.php	(revision 6794)
@@ -21,5 +21,5 @@
 /*
 Plugin Name: Piwishack
-Version: 0.3
+Version: 0.4.1
 Description: Affichage d'une liste de liens formatés pour afficher vos images sur des sites/blogs/forums.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=324
Index: /extensions/piwishack/piwishack_controller.php
===================================================================
--- /extensions/piwishack/piwishack_controller.php	(revision 6793)
+++ /extensions/piwishack/piwishack_controller.php	(revision 6794)
Index: /extensions/piwishack/template/controller.tpl
===================================================================
--- /extensions/piwishack/template/controller.tpl	(revision 6793)
+++ /extensions/piwishack/template/controller.tpl	(revision 6794)
Index: /extensions/piwishack/template/index.php
===================================================================
--- /extensions/piwishack/template/index.php	(revision 6793)
+++ /extensions/piwishack/template/index.php	(revision 6794)