Index: /extensions/piwishack/doc/Quoi de neuf.txt
===================================================================
--- /extensions/piwishack/doc/Quoi de neuf.txt	(revision 6796)
+++ /extensions/piwishack/doc/Quoi de neuf.txt	(revision 6797)
@@ -59,4 +59,5 @@
     [Bugtracker, bug 1801, fixed] Add a new row "Post_on_a_forum" for web view
 
-v0.4.1 Disponible le 23-08-2010
+v0.4.1 Disponible le 24-08-2010
     [Bugtracker, bug 1814, fixed] Bug in field "Affichage de la vue normale, Afficher sur un forum"
+    [Bugtracker, bug 1820, fixed] Add Vietnamien
Index: /extensions/piwishack/doc/What's new.txt
===================================================================
--- /extensions/piwishack/doc/What's new.txt	(revision 6796)
+++ /extensions/piwishack/doc/What's new.txt	(revision 6797)
@@ -59,4 +59,5 @@
     [Bugtracker, bug 1801, fixed] Add a new row "Post_on_a_forum" for web view
 
-v0.4.1 Disponible le 23-08-2010
+v0.4.1 Disponible le 24-08-2010
     [Bugtracker, bug 1814, fixed] Bug in field "Affichage de la vue normale, Afficher sur un forum"
+    [Bugtracker, bug 1820, fixed] Add Vietnamien
Index: /extensions/piwishack/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/en_UK/plugin.lang.php	(revision 6796)
+++ /extensions/piwishack/language/en_UK/plugin.lang.php	(revision 6797)
@@ -28,5 +28,5 @@
 $lang['Post_on_a_website_dd'] 		= 'Share the normal view (clickable) sites. HTML tags.';
 $lang['Post_a_direct_link'] 		= 'Direct link to your file.';
-$lang['Export_Perso_configurated'] 	= 'Share your images';
+$lang['Export_Perso_configurated'] 	= 'Share your images.';
 $lang['Partage_me'] 				= 'Share your photo according to pre-defined conditions.';
 $lang['Perso_writer_01'] 			= 'Custom formatting, fields #1';
Index: /extensions/piwishack/language/vi_VN/gioi thieu.txt
===================================================================
--- /extensions/piwishack/language/vi_VN/gioi thieu.txt	(revision 6797)
+++ /extensions/piwishack/language/vi_VN/gioi thieu.txt	(revision 6797)
@@ -0,0 +1,1 @@
+Hien thi cac tuy chon de khach co the add anh tren websites / blogs / forums.
Index: /extensions/piwishack/language/vi_VN/index.php
===================================================================
--- /extensions/piwishack/language/vi_VN/index.php	(revision 6797)
+++ /extensions/piwishack/language/vi_VN/index.php	(revision 6797)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PiwiShack - a Piwigo Plugin                                           |
+// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// vi-Vn language for Piwishask translated by  Le Duc Tho . homepage : ductho.info . 24th August 2010
+// thanks to piwigo team and plugin writer MOREAU Julien - gotcha@piwigo.org 
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piwishack/language/vi_VN/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/vi_VN/plugin.lang.php	(revision 6797)
+++ /extensions/piwishack/language/vi_VN/plugin.lang.php	(revision 6797)
@@ -0,0 +1,42 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PiwiShack - a Piwigo Plugin                                           |
+// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+
+// vi-Vn language for Piwishask translated by  Le Duc Tho . homepage : ductho.info . 24th August 2010
+// thanks to piwigo team and plugin writer MOREAU Julien - gotcha@piwigo.org  
+
+$lang['open_window_piwishack'] 		= 'Mở cửa sổ PiwiShack';
+$lang['close_window_piwishack'] 	= 'Đóng cửa sổ PiwiShack';
+$lang['Partage_me'] 				= 'Chia sẻ ảnh.';
+$lang['text_intro_thumbnail'] 		= 'Hiển thị ảnh thu nhỏ.';
+$lang['Post_on_a_website_d'] 		= 'Chia sẻ ảnh thu nhỏ trên WEBSITE bằng thẻ HTML.';
+$lang['Post_on_a_forum'] 			= 'Chia sẻ ảnh thu nhỏ trên FORUM bằng thẻ BBcode.';
+$lang['text_intro_normal_view'] 	= 'Xem dạng ảnh bình thường (kích thước thật).';
+$lang['Post_on_a_website_dd'] 		= 'Chia sẻ ảnh bình thường (kích thước thật) trên WEBSITE bằng thẻ HTML.';
+$lang['Post_a_direct_link'] 		= 'Link gốc của ảnh.';
+$lang['Export_Perso_configurated'] 	= 'Chia sẻ ảnh.';
+$lang['Partage_me'] 				= 'Chia sẻ ảnh của bạn theo các điều kiện được xác định trước.';
+$lang['Perso_writer_01'] 			= 'Định dạng tự chọn, loại #1';
+$lang['Perso_writer_02'] 			= 'Định dạng tự chọn, loại #2';
+$lang['Perso_writer_03'] 			= 'Định dạng tự chọn, loại #3';
+$lang['Perso_writer_04'] 			= 'Định dạng tự chọn, loại #4';
+$lang['Perso_writer_05'] 			= 'Định dạng tự chọn, loại #5';
+?>
+